Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-25943

Initial sync should handle invalid authSchema document

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Works as Designed
    • Affects Version/s: 3.3.12
    • Fix Version/s: None
    • Component/s: Replication
    • Labels:
      None
    • Operating System:
      ALL
    • Linked BF Score:
      0

      Description

      Initial sync fasserts on an invalid "authSchema" document in admin.system.version.

      d20001| 2016-09-01T19:33:53.012-0400 I -        [initial sync] Fatal assertion 40088 AuthSchemaIncompatible: During initial sync, found auth schema version 1, but this version of MongoDB only supports schema versions 3 and 5 at src\mongo\db\repl\replication_coordinator_impl.cpp 614
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              backlog-server-repl Backlog - Replication Team
              Reporter:
              robert.guo Robert Guo
              Participants:
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: